#ifndef __BOOT_FLASH_H
#define __BOOT_FLASH_H

#include "bootloader.h"


// FOR APP FLASHING
HAL_StatusTypeDef FLASH_Erase_App(void);
HAL_StatusTypeDef FLASH_Write_Page(uint32_t *Address, uint8_t *Data, int Data_size);

// SERVICE
HAL_StatusTypeDef FLASH_Write_Word(uint32_t Address, uint64_t Data);

#endif //__BOOT_FLASH_H